Post Work Orders Id Documents

View as Markdown

Attaches a file to the work order from a signed blob ID obtained via the direct-upload flow, under one of the organisation’s file categories.

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

idstringRequired

Request

This endpoint expects an object.
signed_idstringRequired

Signed blob ID from the direct-upload flow

category_idstringRequired

A file category ID from GET /api/v2/work_order_document_categories

Response

created WorkOrderDocument
idstringOptional
ULID
categoryobjectOptional
userobjectOptional
fileobjectOptional
created_atintegerOptional
Epoch seconds
updated_atintegerOptional
Epoch seconds